<section class="all-loans-applied-loans-section">
  <span (click)="routeToLoansList()">All Loans</span>
  <span (click)="routeToCustomerLoansList()">Applied Loans</span>
 
</section>

<section class="error-message-section">
    <span class="error-message">{{ errorMessage }}</span>
  </section>


<section class="loans-list-container">
    <mat-card *ngFor="let loan of loansList" class="loan-card">
    <mat-card-header>
      <section class="loan-main-info-section">
        <section class="bank-details">
          <mat-card-title class="bank-name">{{ loan.bankName }}</mat-card-title>
          <star-rating value="{{loan.rating}}" totalstars="5" checkedcolor="green" uncheckedcolor="black" size="24px" readonly="true"></star-rating>
        </section>
        <section class="favourite-count-section">
            <button mat-fab matTooltip="Remove From Favourite" aria-label="Example icon-button with a heart icon" class="favourite-icon" *ngIf="isCustomerFavouriteLoan(loan.id)" (click)="removeLoanFromCustomerFavList(loan)">
                <mat-icon>favorite</mat-icon>
              </button>

              <button mat-fab matTooltip="Add To Favourite" aria-label="Example icon-button with a heart icon" class="unfavourite-icon" *ngIf="!isCustomerFavouriteLoan(loan.id)" (click)="addLoanToCustomerFavList(loan)">
                <mat-icon>favorite</mat-icon>
              </button>
            <span class="favourite-count">{{loan.favouriteCount}}</span>
        </section>
      </section>
      </mat-card-header>
      <mat-card-content class="loan-bank-details-section">
        <section class="bank-logo-section">
          <!-- <img src="../../../../assets/images/team/" alt="" srcset=""> -->
          <img [src]="loan.bankImageUrl" alt="" srcset="" class="bank-logo-image" />
        </section>
        <section class="loan-details-section">
          <div class="loan-details">
            <p>Loan Amount :</p>
            <p>Interest Rates :</p>
            <p>Min Credit Score :</p>
            <p>Term Length :</p>
            <p>Processing Fee :</p>
          </div>
          <div class="loan-details-values">
            <p class="loan-amount">{{ loan.minLoanAmount | currency : 'USD' : 'symbol' : '1.0-0'  }} - {{loan.maxLoanAmount | currency : 'USD' : 'symbol' : '1.0-0' }}</p>
            <p class="loan-interest-rates">
                {{ loan.minInterestRate }} %  - {{ loan.maxInterestRate }} %
            </p>
            <p></p>
            <p class="loan-min-credit-score">{{ loan.minCreditScore }} </p>
            <p class="loan-term-length">{{ loan.termLength }} Months</p>
            <p class="loan-min-processing-fee">{{ loan.processingFee | currency : 'USD' : 'symbol' : '1.0-0' }} </p>
          </div>
        </section>
      </mat-card-content>

      <mat-card-actions class="apply-loan">
        <button mat-raised-button [class]="applyLoanButtonCSS" (click)="applyForLoan(loan)" >
          Apply For Loan
        </button>
      </mat-card-actions>
  
      

      </mat-card>
</section>
